Bug 21695 - Clean up access files template
Summary: Clean up access files template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL: /cgi-bin/koha/admin/access_files.pl
Keywords:
Depends on: 11317
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-10-26 18:35 UTC by Owen Leonard
Modified: 2019-01-03 14:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21695: Clean up access files template (4.50 KB, patch)
2018-10-26 18:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21695: Clean up access files template (4.51 KB, patch)
2018-10-29 20:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21695: Clean up access files template (4.62 KB, patch)
2018-11-09 15:51 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-26 18:35:51 UTC
The access files template has several issues which need to be cleaned up:

- Bootstrap grid
- Improve DataTables configuration
- Markup corrections
Comment 1 Owen Leonard 2018-10-26 18:59:00 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2018-10-29 20:28:15 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2018-11-09 15:51:13 UTC
Created attachment 82176 [details] [review]
Bug 21695: Clean up access files template

This patch modifies the access files template to help
compliance with several coding guidelines:

- Bootstrap grid
- Improve DataTables configuration
- Move date formatting from the script to the template
- Markup corrections

To test you must modify koha-conf.xml to contain something like the
following:

<access_dirs>
    <access_dir>/tmp/koha-public</access_dir>
</access_dirs>

Make sure the directory exists and contains multiple files.

 - Go to Tools -> Access files
 - Confirm that the page looks correct and the layout adjusts at various
   browser widths.
 - Confirm that DataTables functionality works correctly, including
   correct sorting by date.

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Nick Clemens 2018-12-26 20:53:42 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-03 14:23:30 UTC
Enhancement, will not be backported to 18.11.x series.